.NET Framework won't update

September 13, 2018 at 05:34:54
Specs: Windows Server 2008r2 x64, 8Gig
I have a Server, Windows 2008R2 running as a DC. All updates installed fine but I cannot get the .NET updates to go beyond ver. 4.5.
I want to share QBooks from this server and this requires .NET 4.6.1, 4.6.2, and 4.7.
My research shows that the newer .NET versions must run from the Windows Update service.
Nothing beyond the 4.5 updates are/were listed. I have updated every last one and still no luck.
I have rebooted the server after every update.
I have deleted the contents of the C:\Windows\SoftwareDistribution folder and rerun Win Updates. Still no luck.
Does anyone have any ideas?

See More: .NET Framework wont update

Reply ↓  Report •

#1
September 13, 2018 at 07:05:59
You can download and manually install .Net Framework

https://www.microsoft.com/en-us/dow...


Reply ↓  Report •

#2
September 13, 2018 at 11:46:22
Thank you for the input. Here's what happened.

Blocking Issues:

The .NET Framework 4.7 is not supported on this operating system.

Setup cannot continue because a dependent update needs to be installed before you can install this product on Windows 7, Windows Server 2008 R2, Windows 8 or Windows Server 2012.


Reply ↓  Report •

#3
September 14, 2018 at 02:24:13
Perhaps this may help?

I did a quick search for ‘.net framework 4.7 dependent updates’


https://support.microsoft.com/en-gb...


Reply ↓  Report •

Related Solutions

#4
September 14, 2018 at 04:02:40
Thanks AlwaysWilling
I found that a few days ago and tried it. I get an error.
"The update is not applicable to your computer"
I even tried manually placing the d3dcompiler_47.dll in the SYSWOW64 folder.

Reply ↓  Report •

Ask Question